Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.viewmodel/2 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.viewmodel
Interface NodeModel

All Superinterfaces:
  Model

All Known Implementing Classes:
  Models.CompoundModel

    public interface NodeModel

extends Model

Provides display name, icon and tooltip value for some type of objects. Designed to be used with `TreeModel`.

Method Summary
`void` | `addModelListener(ModelListener l)` Registers given listener.
`String` | `getDisplayName(Object node)` Returns display name for given node.
`String` | `getIconBase(Object node)` Returns icon for given node.
`String` | `getShortDescription(Object node)` Returns tooltip for given node.
`void` | `removeModelListener(ModelListener l)` Unregisters given listener.

Method Detail

### getDisplayName

    String getDisplayName(Object node)
                          throws UnknownTypeException

  Returns display name for given node.

  Returns:
    display name for given node
  Throws:
    `UnknownTypeException`

### getIconBase

    String getIconBase(Object node)
                       throws UnknownTypeException

  Returns icon for given node.

  Returns:
    icon for given node
  Throws:
    `UnknownTypeException` - if this NodeModel implementation is not able to resolve icon for given node type

### getShortDescription

    String getShortDescription(Object node)
                               throws UnknownTypeException

  Returns tooltip for given node.

  Returns:
    tooltip for given node
  Throws:
    `UnknownTypeException` - if this NodeModel implementation is not able to resolve tooltip for given node type

### addModelListener

    void addModelListener(ModelListener l)

  Registers given listener.

  Parameters:
    `l` - the listener to add

### removeModelListener

    void removeModelListener(ModelListener l)

  Unregisters given listener.

  Parameters:
    `l` - the listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.viewmodel/2 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.